<?php

use App\Http\Controllers\admin\ExternalController;
use Illuminate\Support\Facades\Route;

Route::prefix('mobile')->name('mobile.')->group(function (): void {
    Route::post('/login', [ExternalController::class, 'mobileLogin'])->name('login');
    Route::middleware('jwt.auth')->group(function (): void {
        Route::get('/me', [ExternalController::class, 'mobileMe'])->name('me');
    });
});
